> 该目录下的文件与服务端接口一一对应，文件内容为模拟的接口返回数据。
>
> **`本地数据模拟文件保留在本地就好，不需要提交的 git 上，jenkins 打包后会保留在 apk 包内。`**
# 原理
> 利用 `OkHttpClient.Builder#addInterceptor` 设置拦截器，通过 `Request` 获取 URL 来获取具体接口，然后判断 `assets/` 下是否有匹配的文件，读取并创建 `Response` 响应请求。若没有匹配文件，则正常请求服务器。

# 使用规则

1. URL 和文件名匹配是利用 `String#endsWith(fileName)` 方法。

文件命名规则：去除 URL 中反斜杠 “/” 的字符串，保留最后一段，确保文件名不会和其他接口文件名重名即可(注意接口名相同的情况)。

> e.g. 接口 URL 为 `https://google.com/api/checkVersion.api` 则接口对应本地数据文件名应该为：`apicheckVersion.api` (大小写不敏感)，确保当前文件名唯一即可。
>
> **`如果有重名接口要确保文件名不存在包含和被包含的关系`**，
>
> 如：url 分别为 xxx/api/checkVersion.api 、 xxx/api/v2/checkVersion.api，
>
> **`则文件名应对应为：`** apicheckVersion.api 和 apiv2checkVersion.api;
>
> **`而不应该为：`** checkVersion.api 和 v2checkVersion.api（文件名有包含关系）
2. 文件内容格式：为服务端返回的 json 字符串：
```json
{
    "msg": "SUCCESS",
    "code": 200,
    "data": {
        "id": 1234,
        "name": "name",
        "balance": "100.00"
    }
}
```


# 开启方式
debug 环境下配置有效，默认开启，可以在 debugSetting 页面中配置。